datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133pluspmhsrefseq <- function() showQCData("hthgu133pluspmhsrefseq", datacache)
hthgu133pluspmhsrefseq_dbconn <- function() dbconn(datacache)
hthgu133pluspmhsrefseq_dbfile <- function() dbfile(datacache)
hthgu133pluspmhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133pluspmhsrefseq_dbInfo <- function() dbInfo(datacache)

hthgu133pluspmhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133pluspmhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133pluspmhsrefseq", "chip hthgu133pluspmhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133pluspmhsrefseq_dbconn())
}

